import { BC_CAMERA, BC_VIEWPORT } from "../GlobalVariables/GlobalVariables";


export function calculateViewportFromCamera() {
    // BC_VIEWPORT.pivot.set(0.5, 0.5);
    BC_VIEWPORT.position.set(
        Math.floor(((window.innerWidth / 2.0 / BC_CAMERA.zoom) - BC_CAMERA.position.x) * BC_CAMERA.zoom),
        Math.floor(((window.innerHeight / 2.0 / BC_CAMERA.zoom) - BC_CAMERA.position.y) * BC_CAMERA.zoom)
    );
    BC_VIEWPORT.scale.set(BC_CAMERA.zoom, BC_CAMERA.zoom);
}

/**
 * 
 * @param {Number} x 
 * @param {Number} y 
 */
export function screenToWorldCoordinates(x, y) {
    return {
        x: (((x - window.innerWidth / 2.0) / BC_CAMERA.zoom) + BC_CAMERA.position.x),
        y: (((y - window.innerHeight / 2.0) / BC_CAMERA.zoom) + BC_CAMERA.position.y)
    }
}