export function worldCoordinatesToChunkIndex(x: any, y: any): {
    x: number;
    y: number;
};
export function worldCoordinatesToChunkIndexesCoordinates(x: any, y: any): {
    x: number;
    y: number;
};
export function worldCoordinatesToChunkLocalCoordinates(x: any, y: any): {
    x: number;
    y: number;
};
/**
 *
 * @param {Number} x world coordinates
 * @param {Number} y world coordinates
 */
export function getChunk(x: number, y: number): any;
export function updateChunksVisibility(): void;
/**
 *
 * @param {*} chunk from WORLD_CHUNKS
 * @param {PIXI.Container} object
 * @param {*} props any props
 * @param {Number} ceiledX
 * @param {Number} ceiledY
 */
export function addToTerrain(chunk: any, object: PIXI.Container, props: any, ceiledX: number, ceiledY: number): void;
/**
 *
 * @param {*} chunk from WORLD_CHUNKS
 * @param {PIXI.Container} object
 * @param {*} props any props
 * @param {Number} ceiledX
 * @param {Number} ceiledY
 */
export function addToVegetation(chunk: any, object: PIXI.Container, props: any, ceiledX: number, ceiledY: number): void;
/**
 *
 * @param {*} chunk from WORLD_CHUNKS
 * @param {PIXI.Container} object
 * @param {*} props any props
 * @param {Number} ceiledX
 * @param {Number} ceiledY
 */
export function addToBuildings(chunk: any, object: PIXI.Container, props: any, ceiledX: number, ceiledY: number): void;
/**
 *
 * @param {Number} x world coordinates
 * @param {Number} y world coordinates
 * @param {PIXI.Container} object object to remove
 */
export function removeFromTerrain(x: number, y: number, object: PIXI.Container): void;
/**
 *
 * @param {Number} x world coordinates
 * @param {Number} y world coordinates
 * @param {PIXI.Container} object object to remove
 */
export function removeFromVegetation(x: number, y: number, object: PIXI.Container): void;
/**
 *
 * @param {Number} x world coordinates
 * @param {Number} y world coordinates
 */
export function getObjectFromTerrainLayer(x: number, y: number): any;
/**
 *
 * @param {Number} x world coordinates
 * @param {Number} y world coordinates
 */
export function getObjectFromVegetationLayer(x: number, y: number): any;
/**
 *
 * @param {Number} x world coordinates
 * @param {Number} y world coordinates
 */
export function getObjectFromBuildingsLayer(x: number, y: number): any;
export function createFirstWorldChunks(): void;
import * as PIXI from "../../pixi/pixi.mjs";
